
QGIS Application - Bug report #18702

Save map image

2018-04-10 08:32 PM - Andrew Shanin

Status: Closed

Priority: Normal

Assignee:

Category: Map Canvas

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26590

Description

Crash ID: e1815805c53fd4fc5dfa809539887b484b7310d7

Stack Trace

QWidgetPrivate::create_sys :

QWidget::create :

QWidget::setVisible :

QDialog::setVisible :

QgisApp::saveMapAsImage :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.0.1-Girona

QGIS code revision: a86bec25eb

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-04-11 03:07 PM - Alessandro Pasotti

- Status changed from Open to Feedback

Can you please add a step-by-step procedure and example QGIS project+data to reproduce the crash?

#2 - 2018-04-17 11:02 AM - Andrew Shanin

Sorry I can't

#3 - 2018-08-15 11:49 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Andrew Shanin wrote:

Sorry I can't

in this case us too.
